<template>
  <div>
    <AppHeader />
    <nuxt />
  </div>
</template>

<script>
export default {
  head() {
    const canonical = `https://esfahanahan.com${this.$route.path}`
    return {
      titleTemplate: '%s - alibaba',
      meta: [
        {
          hid: 'robots',
          name: 'robots',
          content: 'index, follow',
        },
        {
          hid: 'description',
          name: 'description',
          content: 'alibaba description',
        },
        // Open Graph
        {
          hid: 'og:site_name',
          property: 'og:site_name',
          content: 'alibaba',
        },
        {
          hid: 'og:title',
          property: 'og:title',
          content: 'alibaba',
        },
        {
          hid: 'og:description',
          property: 'og:description',
          content: 'alibaba description',
        },
        {
          hid: 'og:type',
          property: 'og:type',
          content: 'website',
        },
        {
          hid: 'og:url',
          property: 'og:url',
          content: canonical,
        },
        {
          hid: 'og:image',
          property: 'og:image',
          content: 'https://alibaba.ir/icon.png',
        },
        // Twitter Card
        {
          hid: 'twitter:card',
          name: 'twitter:card',
          content: 'summary',
        },
        {
          hid: 'twitter:site',
          name: 'twitter:site',
          content: '@alibaba.ir',
        },
        {
          hid: 'twitter:title',
          name: 'twitter:title',
          content: 'alibaba',
        },
        {
          hid: 'twitter:description',
          name: 'twitter:description',
          content: 'alibaba description',
        },
        {
          hid: 'twitter:image',
          name: 'twitter:image',
          content: 'https://alibaba.ir/icon.png',
        },
        {
          hid: 'twitter:image:alt',
          name: 'twitter:image:alt',
          content: 'alibaba',
        },
      ],
      link: [
        {
          rel: 'canonical',
          href: canonical,
        },
        {
          rel: 'alternate',
          hreflang: 'en-en',
          href: canonical,
        },
      ],
    }
  },
}
</script>

<style></style>
